Bug 837514 - RFE - zanata 1.6.1 UI, requires a tooltip for the 'upload' (file) link in the file list screen
RFE - zanata 1.6.1 UI, requires a tooltip for the 'upload' (file) link in the...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
low Severity unspecified
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 03:27 EDT by Parag Nemade
Modified: 2012-11-07 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121012-0031)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-07-04 03:27:07 EDT
Description of problem:
Look at this URL https://translate.zanata.org/zanata/iteration/files/iok/f18/mr

What is the purpose of empty box below Name column?
What is upload link mean there? no tooltip?

Version-Release number of selected component (if applicable):
zanata python client version: 1.3.7, zanata server API version: 1.6.0

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Runa Bhattacharjee 2012-07-30 08:30:00 EDT
The empty box is to be used for searching and is especially useful for projects with a large number of files (e.g. publican documentation projects).

The upload link is to upload a file translated offline for that project.

the tooltips are indeed missing for the 'upload' link. Am modifying the bug to make it as an RFE for the tooltip. Thanks.
Comment 2 Alex Eng 2012-10-02 19:17:41 EDT
Implemented tooltip for "Upload" link and "Merge" checkbox in upload dialog.

See https://github.com/zanata/zanata/commit/30de96bd59592c7af71f5076d47313dc2fadfd80
Comment 3 Ding-Yi Chen 2012-10-09 21:40:52 EDT
Test with Zanata version 1.8.0-SNAPSHOT (20121010-0855)

The tooltip for "Upload" is implemented and very clear. However, reporter also raise a valid point saying that he did not know what does the textfield do under the column header "Name".

I think it's better to put either a tooltip or a search icon (similar to the one with project search) to make it more clear.

Reassigned.
Comment 4 Alex Eng 2012-10-09 21:59:17 EDT
Implemented tooltip in the filter input box. 
See https://github.com/zanata/zanata/commit/6a290acfcd0b86a285a7452565bb107115e913a2
Comment 5 Ding-Yi Chen 2012-10-11 21:25:05 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121012-0031)
Comment 6 Sean Flanigan 2012-11-07 01:18:15 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.